! $Id: inout_teq.f90,v 1.2 2007/07/23 16:00:57 meyer Exp $

SUBROUTINE teqGS_interface

  USE teqinit
  use teqlib_input

  implicit none

  !external teq_input_allocate

  CALL teq_input_allocate
  CALL teqGS_input
  CALL teqGS_output
  CALL teq_input_allocate

END SUBROUTINE teqGS_interface

SUBROUTINE teq_interface

  USE teqinit
  use teqlib_input
  USE teqSubs_mod

  implicit none

  !external teq_input_allocate, teq_input

  CALL teq_input_allocate
  CALL teq_input
  CALL teq_allocate
  CALL teq_output
  CALL teqSurf_output
  CALL teqPol_input
  IF (npo /= 0 .AND. ntet /= 0) THEN
     CALL teqPol_allocate
     CALL teqPol_output
  END IF

END SUBROUTINE teq_interface
